TahitiBob, on 29 July 2010 - 09:12 AM, said:
Edit :
here is a logcat of my booting process :
http://dl.dropbox.co...1906/logcat.txt
I didn't find any sign of a "mount sd-ext" instruction in it, what should i see (and where) if the mount works ?
Thanks
Quote
D/AKMD ( 69): akmd 1.6.6 START
D/AKMD ( 69): library version: 1.2.1.1129
I/DEBUG ( 62): debuggerd: Jul 8 2010 14:53:57
--------- beginning of /dev/log/system
you should see it in that bit
here is mine
--------- beginning of /dev/log/main
I/cm ( 67): Welcome to Android 2.2 / CyanogenMod-6-07282010-NIGHTLY-DS
I/cm ( 68): _
I/cm ( 69): __ __ _ ___ _ _ __ ___ __ _ _ _ _ __ __))
I/cm ( 70): ((_ \(/'((_( ((\( ((_)((_( (('((\( ((`1( ((_)((_(
I/cm ( 71): )) _))
I/cm ( 72):
I/mountsd ( 96): Checking filesystems..
I/mountsd ( 110): /sd-ext successfully mounted
I/a2sd ( 116): Apps2SD successfully activated
I/busybox ( 128): rm: can't remove '/data/dalvik-cache/*': No such file or directory
I/busybox ( 128): /dev/block/mmcblk0p1 is not swap
I/busybox ( 128): /dev/block/mmcblk0p2 is not swap
I/busybox ( 128): /dev/block/mmcblk0p3 is swap
I/DEBUG ( 163): debuggerd: Jul 25 2010 09:31:07
D/AKMD ( 170): akmd 1.6.6 START
D/AKMD ( 170): library version: 1.2.1.1129
ok, your not using a stock cyanogenmod
do ls -l /system/etc/init.d/
you should see 05mountsd in it
and it should be like this
-rwx------ 1 root root 2225 Jul 29 06:00 /system/etc/init.d/05mountsd
that file should look like this
#!/system/bin/sh
#
# mount ext[234] partition from sd card
BB="logwrapper busybox";
# Firerat - make mount point
if [ ! -d /sd-ext ];
then
$BB mount -o rw,remount /
install -m 774 -o 1000 -g 1000 -d /sd-ext
$BB mount -o ro,remount /
fi
if [ "$SD_EXT_DIRECTORY" = "" ];
then
SD_EXT_DIRECTORY=/sd-ext;
fi;
# find first linux partition on SD card
MMC=/dev/block/mmcblk0
if [ ! -b "$MMC" ];
then
mknod ${MMC} b 179 0
chmod 600 ${MMC}
for i in 1 2 3;do
mknod ${MMC}p${i} b 179 $i
chmod 600 ${MMC}p${i}
done
fi
# wait for the device to settle
COUNT=6;
until [ -b "$MMC" ] || [ $COUNT -lt 1 ];
do
sleep 1;
COUNT=$((COUNT-1));
done;
if [ -b "$MMC" ];
then
FDISK="busybox fdisk"
PARTITION=`$FDISK -l $MMC | awk '/^\// && $5 == 83 {print $1;exit;}'`
if [ -b "$PARTITION" ];
then
log -p i -t mountsd "Checking filesystems..";
# fsck the sdcard filesystem first
logwrapper e2fsck -y $PARTITION;
# set property with exit code in case an error occurs
setprop cm.e2fsck.errors $?;
if [ "$?" = 0 ];
then
# mount and set perms
$BB mount -o noatime,nodiratime -t auto $PARTITION $SD_EXT_DIRECTORY;
if [ "$?" = 0 ];
then
$BB chown 1000:1000 $SD_EXT_DIRECTORY;
$BB chmod 771 $SD_EXT_DIRECTORY;
log -p i -t mountsd "$SD_EXT_DIRECTORY successfully mounted";
else
log -p e -t mountsd "Unable to mount filesystem for $SD_EXT_DIRECTORY!";
fi
else
log -p e -t mountsd "Unable to repair filesystem, disabling apps2sd";
fi
fi
fi
if ! awk -vDIR="$SD_EXT_DIRECTORY" '$2 == DIR { exit 1; }' /proc/mounts ;
then
# create directories if necessary.
for i in app app-private dalvik-cache;
do
if [ ! -d $SD_EXT_DIRECTORY/$i ];
then
mkdir $SD_EXT_DIRECTORY/$i;
busybox chown 1000:1000 $SD_EXT_DIRECTORY/$i;
busybox chmod 771 $SD_EXT_DIRECTORY/$i;
log -p i -t a2sd "$SD_EXT_DIRECTORY/$i created"
fi;
done
setprop cm.a2sd.active 1
log -p i -t a2sd "Apps2SD successfully activated";
fi;
















